Storyden
Robots

List robot providers

Retrieve supported Robot model providers, redacted settings, cache status and cached models.

GET
/robots/providers

Retrieve supported Robot model providers, redacted settings, cache status and cached models.

Authorization

cookiestoryden-session<token>

Response Body

Robot providers retrieved.

application/json
  1. response
providers*array<>
Example Request
curl -X GET 'https://example.com/api/robots/providers'
Example Response
{  "providers": [    {      "provider": "string",      "supported": true,      "settings": {        "enabled": true,        "has_api_key": true,        "requires_api_key": true      },      "cache": {        "last_refreshed_at": "2019-08-24T14:15:22Z",        "last_error": "string",        "stale": true      },      "models": [        {          "ref": "string",          "provider": "string",          "model": "string"        }      ]    }  ]}